namespace CSR.Domain.Interfaces;

using CSR.Domain.Entities;

public interface IPasswordHasher
{
  string HashPassword(User user, string password);
  bool VerifyHashedPassword(User user, string hashedPassword, string providedPassword);
}
